#
# spec file for package ctrl-cut (Version 0.2)
#
# Copyright 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (C) 2009-2010 Amir Hassan <amir@viel-zu.org> and Marius Kintel <marius@kintel.net>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# needsrootforbuild

Summary: Laser Cutter Interpreter (Epilog Legend 36EXT)
Name: pclint
Version: 1.0
Release: 1
License: GPLv2+
Group: Hardware/Other
URL: https://github.com/Metalab/pclint
Packager: Amir Hassan <amir@viel-zu.org>
%if %{defined suse_version}
BuildRequires: gcc-c++ boost-devel libX11-devel libSDL-devel
PreReq: /bin/chmod ncurses-utils
Requires: libboost_thread1_54_0 libboost_system1_54_0 libX11-6 libSDL-1_2-0
%else
BuildRequires: gcc-c++ boost-devel libX11-devel SDL-devel
Requires: boost-thread boost-system libX11 SDL
%endif
Source:       %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Pclint is a companion tool of ctrl-cut. It can be use to execute, render and debug raw laser cutter jobs.
At the moment it only supports epilog devices.

# extract source tar ball
%prep
%setup -q

%build
make

%install
make DESTDIR="%{buildroot}" PREFIX="%{_prefix}" install 

%post
 exit 0

%clean
# clean up the hard disc after build
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.md LICENSE

%{_bindir}/pclint
